Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionNineteenToVersionTwentyUpgrader.OriginalConfig

    java.lang.Object
      com.atlassian.bamboo.upgrader.VersionNineteenToVersionTwentyUpgrader.OriginalConfig

Enclosing class:
  VersionNineteenToVersionTwentyUpgrader

    public class VersionNineteenToVersionTwentyUpgrader.OriginalConfig

extends Object

Constructor Summary
`VersionNineteenToVersionTwentyUpgrader.OriginalConfig()`

Method Summary
`String` | `getMyAdministrator()`
`String` | `getMyAdministratorEmail()`
`String` | `getMyAdministratorPassword()`
`Map` | `getMyAntBuilders()`
`String` | `getMyBaseUrl()`
`String` | `getMyBuildDirectory()`
`BuildExpiryConfiguration` | `getMyBuildExpiryConfiguration()`
`int` | `getMyDataFormatVersion()`
`String` | `getMyEmailFromAddress()`
`String` | `getMyEmailPrefix()`
`Map` | `getMyJdks()`
`String` | `getMyLicense()`
`Map` | `getMyMavenBuilders()`
`int` | `getMyRepositoryPollingPeriod()`
`Map` | `getMyScriptBuilders()`
`String` | `getMySmtpServer()`
`boolean` | `isMyEnableRemoteApi()`
`boolean` | `isMyUseGzipCompression()`
`void` | `setMyAdministrator(String myAdministrator)`
`void` | `setMyAdministratorEmail(String myAdministratorEmail)`
`void` | `setMyAdministratorPassword(String myAdministratorPassword)`
`void` | `setMyAntBuilders(Map myAntBuilders)`
`void` | `setMyBaseUrl(String myBaseUrl)`
`void` | `setMyBuildDirectory(String myBuildDirectory)`
`void` | `setMyBuildExpiryConfiguration(BuildExpiryConfiguration myBuildExpiryConfiguration)`
`void` | `setMyDataFormatVersion(int myDataFormatVersion)`
`void` | `setMyEmailFromAddress(String myEmailFromAddress)`
`void` | `setMyEmailPrefix(String myEmailPrefix)`
`void` | `setMyEnableRemoteApi(boolean myEnableRemoteApi)`
`void` | `setMyJdks(Map myJdks)`
`void` | `setMyLicense(String myLicense)`
`void` | `setMyMavenBuilders(Map myMavenBuilders)`
`void` | `setMyRepositoryPollingPeriod(int myRepositoryPollingPeriod)`
`void` | `setMyScriptBuilders(Map myScriptBuilders)`
`void` | `setMySmtpServer(String mySmtpServer)`
`void` | `setMyUseGzipCompression(boolean myUseGzipCompression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionNineteenToVersionTwentyUpgrader.OriginalConfig

    public VersionNineteenToVersionTwentyUpgrader.OriginalConfig()

Method Detail

### getMyAdministrator

    public String getMyAdministrator()

### getMyAdministratorEmail

    public String getMyAdministratorEmail()

### getMyAdministratorPassword

    public String getMyAdministratorPassword()

### getMySmtpServer

    public String getMySmtpServer()

### getMyBaseUrl

    public String getMyBaseUrl()

### getMyDataFormatVersion

    public int getMyDataFormatVersion()

### getMyEmailPrefix

    public String getMyEmailPrefix()

### getMyEmailFromAddress

    public String getMyEmailFromAddress()

### getMyBuildDirectory

    public String getMyBuildDirectory()

### getMyRepositoryPollingPeriod

    public int getMyRepositoryPollingPeriod()

### isMyUseGzipCompression

    public boolean isMyUseGzipCompression()

### getMyJdks

    public Map getMyJdks()

### getMyLicense

    public String getMyLicense()

### isMyEnableRemoteApi

    public boolean isMyEnableRemoteApi()

### getMyAntBuilders

    public Map getMyAntBuilders()

### getMyMavenBuilders

    public Map getMyMavenBuilders()

### getMyScriptBuilders

    public Map getMyScriptBuilders()

### getMyBuildExpiryConfiguration

    public BuildExpiryConfiguration getMyBuildExpiryConfiguration()

### setMyAdministrator

    public void setMyAdministrator(String myAdministrator)

### setMyAdministratorEmail

    public void setMyAdministratorEmail(String myAdministratorEmail)

### setMyAdministratorPassword

    public void setMyAdministratorPassword(String myAdministratorPassword)

### setMySmtpServer

    public void setMySmtpServer(String mySmtpServer)

### setMyBaseUrl

    public void setMyBaseUrl(String myBaseUrl)

### setMyDataFormatVersion

    public void setMyDataFormatVersion(int myDataFormatVersion)

### setMyEmailPrefix

    public void setMyEmailPrefix(String myEmailPrefix)

### setMyEmailFromAddress

    public void setMyEmailFromAddress(String myEmailFromAddress)

### setMyBuildDirectory

    public void setMyBuildDirectory(String myBuildDirectory)

### setMyRepositoryPollingPeriod

    public void setMyRepositoryPollingPeriod(int myRepositoryPollingPeriod)

### setMyUseGzipCompression

    public void setMyUseGzipCompression(boolean myUseGzipCompression)

### setMyJdks

    public void setMyJdks(Map myJdks)

### setMyLicense

    public void setMyLicense(String myLicense)

### setMyEnableRemoteApi

    public void setMyEnableRemoteApi(boolean myEnableRemoteApi)

### setMyAntBuilders

    public void setMyAntBuilders(Map myAntBuilders)

### setMyMavenBuilders

    public void setMyMavenBuilders(Map myMavenBuilders)

### setMyScriptBuilders

    public void setMyScriptBuilders(Map myScriptBuilders)

### setMyBuildExpiryConfiguration

    public void setMyBuildExpiryConfiguration(BuildExpiryConfiguration myBuildExpiryConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.